Loading...
Searching...
No Matches
BALL::RingFinder Class Reference

`#include <BALL/KERNEL/standardPredicates.h>`

## Public Member Functions

| RingFinder ()
| Default constructor.
| RingFinder (Size n)
virtual | ~RingFinder ()
| Destructor.
bool | operator() (const Atom &atom)
bool | dfs (const Atom &atom, const Size limit)
void | setRingSize (Size n)
const HashSet< const Bond * > & | getVisitedBonds () const
const std::vector< const Atom * > & | getRingAtoms () const

## Detailed Description

Helper class for all predicates that need ring information.

Definition at line 833 of file standardPredicates.h.

## Constructor & Destructor Documentation

## RingFinder() [1/2]

BALL::RingFinder::RingFinder | ( |  | ) |

Default constructor.

## RingFinder() [2/2]

BALL::RingFinder::RingFinder | ( | Size | n | ) |

Detailed constructor. Initialize this instance with the size of the ring we want to find. Default setting is 0 which means that any ring size will match.

## ~RingFinder()

virtual BALL::RingFinder::~RingFinder | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## dfs()

bool BALL::RingFinder::dfs | ( | const Atom & | atom,
|  | const Size | limit )

Depth first search for finding rings.

## getRingAtoms()

const std::vector< const Atom * > & BALL::RingFinder::getRingAtoms | ( |  | ) | const

Return the vector of ring atoms.

## getVisitedBonds()

const HashSet< const Bond * > & BALL::RingFinder::getVisitedBonds | ( |  | ) | const

Return the hashset containing all visited bonds.

## operator()()

bool BALL::RingFinder::operator() | ( | const Atom & | atom | ) |

Return true, if atom is in a ring.

## setRingSize()

void BALL::RingFinder::setRingSize | ( | Size | n | ) |

Set the ring size we want to find. Ring sizes below 3 will always return false, except if the size is set to 0, then any ring size will match.